import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, w = Object.getOwnPropertyDescriptor, c = (l, e, s, t) => {
  for (var r = t > 1 ? void 0 : t ? w(e, s) : e, p = l.length - 1, i; p >= 0; p--)
    (i = l[p]) && (r = (t ? i(e, s, r) : i(r)) || r);
  return t && r && m(e, s, r), r;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--arrowUp", this.class = "c-pieIcon c-pieIcon--arrowUp", this.name = "IconArrowUp";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--arrowUp"><path d="M7.25 15.025V3.375l-3.76 3.76-1.06-1.11 4.69-4.68a1.24 1.24 0 0 1 1.76 0l4.69 4.68-1.06 1.11-3.76-3.76v11.65h-1.5Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  h("icon-arrow-up")
], o);
export {
  o as IconArrowUp
};
